### Class

# Gom Sorting

#### Description

    class Gom.Sorting : GObject.InitiallyUnowned
    {
      GomSortingPrivate* priv
    }

No description available.

#### Ancestors

- GInitiallyUnowned
- GObject

#### Constructors

###### gom_sorting_new

Creates a new `GomSorting` to instance.

#### Instance methods

###### gom_sorting_add

Add a new ORDER BY clause to the sorting object.

###### gom_sorting_get_sql

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GomSortingClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.